> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-mda-troubleshooting-section.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GitHub Copilot

<Tabs>
  <Tab title="Mac and Linux">
    ```bash setup-copilot-rules theme={null}
    mkdir -p .github && curl -o .github/copilot-instructions.md "https://www.checklyhq.com/docs/ai/checkly.rules.md" -L
    ```
  </Tab>

  <Tab title="Windows">
    ```bash setup-copilot-rules-windows theme={null}
    New-Item -ItemType Directory -Path ".github" -Force
    Invoke-WebRequest -Uri "https://www.checklyhq.com/docs/ai/checkly.rules.md" -OutFile ".github\copilot-instructions.md"
    ```
  </Tab>
</Tabs>

You can ask Copilot to install the `checkly` NPM package and generate code for API Checks, Browser checks, Multistep checks
and all other constructs.
